## net.sf.saxon.sort
Class StandardCollationURIResolver

    java.lang.Object
      net.sf.saxon.sort.StandardCollationURIResolver

All Implemented Interfaces:
  Serializable, CollationURIResolver

    public class StandardCollationURIResolver

extends Object
implements CollationURIResolver

StandardCollationURIResolver allows a Collation to be created given a URI starting with "http://saxon.sf.net/collation" followed by a set of query parameters.

See Also:
  Serialized Form

Method Summary
`static StandardCollationURIResolver` `getInstance()` Return the singleton instance of this class
`StringCollator` `resolve(String uri, String base, Configuration config)` Create a collator from a parameterized URI

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final StandardCollationURIResolver getInstance()

  Return the singleton instance of this class

### resolve

    public StringCollator resolve(String uri,
                                  String base,
                                  Configuration config)

  Create a collator from a parameterized URI

  Specified by:
    `resolve` in interface `CollationURIResolver`
  Parameters:
    `uri` - the collation URI as written in the query or stylesheet
    `base` - The base URI of the static context where the collation URI appears. The base URI is available only in cases where the collation URI is resolved at compile time; in cases where the collation URI is not resolved until execution time (typically because it is supplied as an expression rather than as a string literal) this parameter is currently set to null.
    `config` - The configuration. Provided in case the collation URI resolver needs it.
  Returns:
    null if the collation URI is not recognized. If the collation URI is recognized but contains errors, the method returns null after sending a warning to the ErrorListener.

Copyright (C) Michael H. Kay. All rights reserved.